/* X-Small (less than 576px) */
@media (max-width: 1199.98px) {
    /* Hero Section */
    #hero-section {
        padding-top: var(--margin-padding-medium);
        & .container-fluid{
            padding-left: 0;
            padding-right: 0;
        }
        & .row.col3{
            align-items: stretch;
            & .col.hero-left{
                padding: 0 var(--margin-padding-medium); /*Adjusted side padding from large to medium*/
                padding-bottom: var(--margin-padding-medium);
                order: 1;
                p{
                    font-weight: var(--font-weight-600);
                    text-align: var(--text-align-center);
                    &.row{
                        align-items: center;
                        justify-content: center;
                    }
                }
                h1{ /*Adjusted font size, weight and line-height as per new required change*/
                    font-weight: var(--font-weight-600); 
                    font-size: calc(var(--base-font-size) * 4);
                    line-height: calc(var(--base-font-size) * 4);
                }
                & .btn-primary.yellow {
                    position: relative;
                    transition: var(--base-transition);
                    width: var(--base-width);
                    &::before {
                        position: static;
                        content: "";
                        width: 30px;
                        height: 30px;
                        margin-right: var(--margin-padding-small);
                        background: url('../../images/Phone-Icon-black.png');
                        background-size: contain;
                        background-repeat: no-repeat;
                    }
                    &:hover::before {
                        background: url('../../images/phone-white.png');
                        background-size: contain;
                        background-repeat: no-repeat;
                    }
                }
            }
            & .col.hero-center{
                order: 3;
                background-color: var(--tdl-yellow);
                position: relative;
                /* max-height: 346px; */ /*Removed Height*/
                overflow: hidden;
                text-align: center;
                & img {
                    position: static;
                    /* transform: translate(0%, -13%) scale(100%); */
                    max-width: var(--base-max-width); /*New Addition*/
                    margin-bottom: -6px; /*New Addition*/
                    max-height: 300px; /*New Addition*/
                }
                & .james-badge{
                    transform: translate(115%, -30%);
                }
            }
            & .col.hero-right{
                order: 2;
                background: var(--tdl-yellow);
                padding: var(--margin-padding-large);
                overflow: hidden;
                text-align: var(--text-align-center);
                padding-bottom: var(--margin-padding-small);
                & .form-holder{
                    display: flex;
                    flex-direction: column;
                    justify-content: space-between;
                    height: var(--base-width);
                    background-color: var(--tdl-white);
                    border-radius: calc(var(--base-radius) / 2);
                    padding: var(--margin-padding-medium);
                    & h2{
                        font-size: calc(var(--base-font-size) * 1.75);
                        line-height: calc(var(--base-font-size) * 2.125);
                        &.line-heading{
                            text-align: center;
                            & span{
                                &::after{
                                    transform: translateY(0%);
                                }
                            }
                        }
                    }
                    & h3{ text-decoration: none; margin-top: var(--margin-padding-small); }
                    & .form-holder-body{
                        width: var(--base-width);
                    }
                    & .form-holder-footer{
                        width: var(--base-width);
                        & .as-seen-on{
                            width: var(--base-width);
                            margin: auto;
                            justify-content: center;
                            & span{
                                font-size: calc(var(--base-font-size) * 0.875);
                                font-weight: var(--font-weight-600);
                            }
                            & img{ transform: scale(75%); }
                        }
                    }
                }
            }
        }
    }
}
/* Rare xSmall (≥320px) */
@media (min-width: 320px) and (max-width: 424.98px){
    #hero-section {
        & .row.col3 {
            & .col.hero-center {
                & .james-badge {
                    transform: translate(90%, -30%);
                }
            }
        }
    }
}
/* Medium (≥768px) */
@media (min-width: 768px) and (max-width: 991.98px) {
    #hero-section {
        & .row.col3 {
            & .col.hero-center {
                & .james-badge {
                    transform: translate(-115%, -30%);
                }
            }
        }
    }
}
/* Large (≥992px) */
@media (min-width: 992px) and (max-width: 1199.98px){
    #hero-section {
        & .row.col3 {
            & .col.hero-center {
                & .james-badge {
                    transform: translate(-115%, -30%);
                }
            }
        }
    }
}
/* Extra Extra Large (≥1200px) - Actual Desktop Styles */
@media only screen and (min-width: 1200px){
    /* Hero Section */
    #hero-section {
        padding-top: var(--margin-padding-xxlarge);
        & .row.col3{
            align-items: stretch;
            & .col.hero-left{
                p{
                    font-weight: var(--font-weight-600);
                }
                & .btn-primary.yellow {
                    position: relative;
                    transition: var(--base-transition);
                    padding-left: calc(var(--base-font-size) * 3.125); /* 50px */
                    &::before {
                        position: absolute;
                        content: "";
                        width: 30px;
                        height: 30px;
                        top: 50%;
                        left: 15px;
                        transform: translateY(-50%);
                        background: url('../../images/Phone-Icon-black.png');
                        background-size: contain;
                        background-repeat: no-repeat;
                    }
                    &:hover::before {
                        background: url('../../images/phone-white.png');
                        background-size: contain;
                        background-repeat: no-repeat;
                    }
                }
            }
            & .col.hero-center{
                position: relative;
                & img {
                    position: absolute;
                    transform: translate(-50%, 11%);/*Scale removed Handles Image position to the minus 50% from minus 34%*/
                    bottom: 0;
                    max-width: calc(var(--container-800) - 200px);
                }
            }
            & .col.hero-right{
                background: var(--tdl-white);
                border-radius: calc(var(--base-radius) / 2);
                padding: var(--margin-padding-large);
                box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
                overflow: hidden;
                text-align: var(--text-align-center);
                margin-bottom: var(--margin-padding-small);
                & .form-holder{
                    display: flex;
                    flex-direction: column;
                    justify-content: space-between;
                    height: var(--base-width);
                    & .form-holder-body{
                        width: calc(var(--base-width) - 30%);
                        position: relative;
                        z-index: 999;
                    }
                    & .form-holder-footer{
                        width: var(--base-width);
                        & .as-seen-on{
                            width: calc(var(--base-width) - 40%);
                            margin: auto;
                            justify-content: space-between;
                            & span{
                                font-size: calc(var(--base-font-size) * 0.875);
                                font-weight: var(--font-weight-600);
                            }
                        }
                    }
                }
            }
        }
    }
}
/* Extra Large (≥1200px) */
@media (min-width: 1200px) and (max-width: 1439.98px) {
    #hero-section {
        & .row.col3 {
            & .col.hero-center {
                & img {
                    position: absolute;
                    /* transform: translate(-35%, 21%) scale(110%); */ /*Responsive fix*/
                }
            }
        }
    }
}